Scilab Function
Last update : 00/00/0000

sd2sci - `gr_menu` structure to scilab instruction convertor

### Calling Sequence

  `txt=sd2sci(sd [,sz [,orig]])`

### Parameters

- `sd`: data structure build by gr_menu.
- `sz`: vector of number or strings with two components, give the x and y zoom factors
- `orig`: vector of number or strings with two components, give the origin translation vector

### Description

given a `sd` data structure generated by `gr_menu` `sd2sci` forms a vector of scilab instructions corresponding to the graphic edited by `gr_menu`.

The optional parameters `sz` and `orig` allows to zoom and shift the initial graphic.

If `sz` or `orig` are given by strings generated instructions are relative use then as formal expressions.

### See Also

`gr_menu`, `execstr`,

### Author

Serge Steer INRIA 1988